Bug 462523 - Review Request: python-prioritized-methods - An extension to PEAK-Rules to prioritize methods in order to to avoid AmbiguousMethods situations
Review Request: python-prioritized-methods - An extension to PEAK-Rules to pr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 17:04 EDT by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 17:31:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-09-16 17:04:34 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-prioritized-methods.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-prioritized-methods-0.2.1-1.src.rpm
Description:
This module provides four decorators: `prioritized_when`, `prioritized_around`,
`prioritized_before`, and `prioritized_after`.  These behave like their
`peak.rules` counterparts except that they accept an optional `prio`
argument which can be used to provide a comparable object (usually an integer)
that will be used to disambiguate situations in which more than rule applies to
the given arguments and no rule is more specific than another. That is,
situations in which an `peak.rules.AmbiguousMethods` would have been raised.

This is useful for libraries which want to be extensible via generic functions
but want their users to easily override a method without figuring out how to
write a more specific rule or when it is not feasible.
Comment 1 Toshio Ernie Kuratomi 2008-09-17 01:23:46 EDT
* Package named according to naming guidelines
* spec named according to naming guidelines
* Package is MIT licensed
* Spec is legible American English
* tarball matches upstream
* No locale files
* Not a shared library
* Not relocatable
* Package builds on i386
* Package owns all directories that it creates and none another package creates
* No duplicate files
* Permissions in files set properly
* Macros used consistently
* code not content
* Not a GUI app
* Proper %install and %clean
* Proper UTF-8/ASCii encoding all around.
* No scriptlets
x You should query upstream to include a separate LICENSE file in the tarball
* Builds in mock

rpmlint:
python-prioritized-methods.noarch: W: no-documentation

No documentation exists in the upstream tarball so this is ignorable.

Also note, this package depends on a bunch of python-peak-* packages which are built in koji but not submitted for updates in bodhi.

APPROVED
Comment 2 Luke Macken 2008-09-17 14:25:08 EDT
New Package CVS Request
=======================
Package Name: python-prioritized-methods
Short Description: An extension to PEAK-Rules to prioritize methods in order
Owners: lmacken
Branches: F-8 F-9 EL-4 EL-5
Comment 3 Kevin Fenzi 2008-09-17 14:52:51 EDT
cvs done.
Comment 4 Fedora Update System 2008-09-18 03:38:57 EDT
python-prioritized-methods-0.2.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/python-prioritized-methods-0.2.1-1.fc9
Comment 5 Fedora Update System 2008-09-18 03:39:00 EDT
python-prioritized-methods-0.2.1-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/python-prioritized-methods-0.2.1-1.fc8
Comment 6 Fedora Update System 2008-09-24 19:59:06 EDT
python-prioritized-methods-0.2.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-prioritized-methods'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8166
Comment 7 Fedora Update System 2008-09-24 20:24:46 EDT
python-prioritized-methods-0.2.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-prioritized-methods'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8347
Comment 8 Fedora Update System 2008-10-09 17:31:28 EDT
python-prioritized-methods-0.2.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-10-09 17:35:58 EDT
python-prioritized-methods-0.2.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.